For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
      • GETList entity collections
      • POSTCreate an entity collection
      • GETRetrieve an entity collection
      • PATCHUpdate an entity collection
      • DELDelete an entity collection
      • GETList entities in an entity collection
      • POSTCreate an entity
      • POSTCreate multiple entities in bulk
      • GETRetrieve an entity
      • PATCHUpdate an entity
      • DELDelete an entity
      • POSTAdd assets to an entity
      • DELRemove assets from an entity
      • GETList entities for an asset
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage entities

Delete an entity collection

DELETE
https://api.twelvelabs.io/v1.3/entity-collections/:entity_collection_id
DELETE
/v1.3/entity-collections/:entity_collection_id
$curl -X DELETE https://api.twelvelabs.io/v1.3/entity-collections/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>"
1{}
This method deletes the specified entity collection. This action cannot be undone.
Was this page helpful?
Previous

List entities in an entity collection

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

entity_collection_idstringRequired
The unique identifier of the entity collection to delete.

Response

The entity collection has been successfully deleted.

Errors

400
Bad Request Error